/* $Id: offline.h,v 1.3 1999/10/11 20:35:07 linus Exp $
 *
 * Copyright (C) 1999  Lysator Computer Club,
 *                     Linkoping University, Sweden
 *
 *  Everyone is granted permission to copy, modify and redistribute
 *  this code, provided the people they give it to can.
 *
 *
 *  Author: Linus Tolke
 */

#ifndef OFFLINE_H
#define OFFLINE_H
#include "main.h"

/* Routines to write different objects. */
void fprintf_Time(FILE * fp, Time * t);
void fprintf_Membership(FILE * fp, Membership * ms);
void fprintf_Membership_list(FILE * fp, Membership_list * ml);
void fprintf_String(FILE * fp, String * s);
void fprintf_Conf_type(FILE * fp, Conf_type * ct);
void fprintf_Conference(FILE * fp, Conference * cs);
void fprintf_Text_list(FILE * fp, Text_list * tl);

/* Routines to store and fetch. */
int store_person_number(Pers_no pno);
int fetch_person_number(Pers_no * pno);
int store_Membership_list(Membership_list * ml);
int fetch_Membership_list(Membership_list * ml);
int store_Conference(Conf_no cno, Conference * cs);
int fetch_Conference(Conf_no cno, Conference * cs);
int store_map(Conf_no cno, Text_list * tl, Time * ts);
int fetch_map(Conf_no cno, Text_list * tl, Time * ts);
int store_text(Text_no tno, String * tm);
int fetch_text(Text_no tno, String * tm);
int store_Text_stat(Text_no tno, Text_stat * ts);
int fetch_Text_stat(Text_no tno, Text_stat * ts);

/* Checking macro. */
#define OFFLINE()				\
if (offline)					\
{						\
    xprintf(gettext("Detta kommando kan inte utfras i frnkopplat lge.\n"));	\
    RETURN (FAILURE);				\
}


/* Functions that "replace" cache functions. */
int offline_get_unread_confs_count();
Success offline_get_unread_confs(Conf_no_list *);
#endif
